org.keycloak

## Interface OAuth2Constants

-     public interface OAuth2Constants

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_TOKEN`
    `static String` | `ACCESS_TOKEN_TYPE`
    `static String` | `ACR_VALUES`
    `static String` | `AUDIENCE`
    `static String` | `AUTHORIZATION_CODE`
    `static String` | `CLIENT_ASSERTION`
    `static String` | `CLIENT_ASSERTION_TYPE`
    `static String` | `CLIENT_ASSERTION_TYPE_JWT`
    `static String` | `CLIENT_CREDENTIALS`
    `static String` | `CLIENT_ID`
    `static String` | `CLIENT_SECRET`
    `static String` | `CODE`
    `static String` | `CODE_CHALLENGE`
    `static String` | `CODE_CHALLENGE_METHOD`
    `static String` | `CODE_VERIFIER`
    `static String` | `DISPLAY`
    `static String` | `DISPLAY_CONSOLE`
    `static String` | `ERROR`
    `static String` | `ERROR_DESCRIPTION`
    `static String` | `GRANT_TYPE`
    `static String` | `ID_TOKEN`
    `static String` | `ID_TOKEN_TYPE`
    `static String` | `IMPLICIT`
    `static String` | `ISSUED_TOKEN_TYPE`
    `static String` | `JWT`
    `static String` | `JWT_TOKEN_TYPE`
    `static String` | `LOGOUT_TOKEN`
    `static String` | `MAX_AGE`
    `static String` | `OFFLINE_ACCESS`
    `static String` | `PASSWORD`
    `static String` | `PKCE_METHOD_PLAIN`
    `static String` | `PKCE_METHOD_S256`
    `static String` | `PROMPT`
    `static String` | `REDIRECT_URI`
    `static String` | `REFRESH_TOKEN`
    `static String` | `REFRESH_TOKEN_TYPE`
    `static String` | `REQUESTED_ISSUER`
    `static String` | `REQUESTED_SUBJECT`
    `static String` | `REQUESTED_TOKEN_TYPE`
    `static String` | `RESPONSE_TYPE`
    `static String` | `SAML2_TOKEN_TYPE`
    `static String` | `SCOPE`
    `static String` | `SCOPE_ADDRESS`
    `static String` | `SCOPE_EMAIL`
    `static String` | `SCOPE_OPENID`
    `static String` | `SCOPE_PHONE`
    `static String` | `SCOPE_PROFILE`
    `static String` | `SESSION_STATE`
    `static String` | `STATE`
    `static String` | `SUBJECT_ISSUER`
    `static String` | `SUBJECT_TOKEN`
    `static String` | `SUBJECT_TOKEN_TYPE`
    `static String` | `TOKEN_EXCHANGE_GRANT_TYPE`
    `static String` | `UI_LOCALES_PARAM`
    `static String` | `UMA_GRANT_TYPE`
    `static String` | `USERNAME`

- - ### Field Detail

    - #### CODE

          static final String CODE

      See Also:
        Constant Field Values

    - #### CLIENT_ID

          static final String CLIENT_ID

      See Also:
        Constant Field Values

    - #### CLIENT_SECRET

          static final String CLIENT_SECRET

      See Also:
        Constant Field Values

    - #### ERROR

          static final String ERROR

      See Also:
        Constant Field Values

    - #### ERROR_DESCRIPTION

          static final String ERROR_DESCRIPTION

      See Also:
        Constant Field Values

    - #### REDIRECT_URI

          static final String REDIRECT_URI

      See Also:
        Constant Field Values

    - #### DISPLAY

          static final String DISPLAY

      See Also:
        Constant Field Values

    - #### SCOPE

          static final String SCOPE

      See Also:
        Constant Field Values

    - #### STATE

          static final String STATE

      See Also:
        Constant Field Values

    - #### GRANT_TYPE

          static final String GRANT_TYPE

      See Also:
        Constant Field Values

    - #### RESPONSE_TYPE

          static final String RESPONSE_TYPE

      See Also:
        Constant Field Values

    - #### ACCESS_TOKEN

          static final String ACCESS_TOKEN

      See Also:
        Constant Field Values

    - #### ID_TOKEN

          static final String ID_TOKEN

      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN

          static final String REFRESH_TOKEN

      See Also:
        Constant Field Values

    - #### LOGOUT_TOKEN

          static final String LOGOUT_TOKEN

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_CODE

          static final String AUTHORIZATION_CODE

      See Also:
        Constant Field Values

    - #### IMPLICIT

          static final String IMPLICIT

      See Also:
        Constant Field Values

    - #### USERNAME

          static final String USERNAME

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final String PASSWORD

      See Also:
        Constant Field Values

    - #### CLIENT_CREDENTIALS

          static final String CLIENT_CREDENTIALS

      See Also:
        Constant Field Values

    - #### CLIENT_ASSERTION_TYPE

          static final String CLIENT_ASSERTION_TYPE

      See Also:
        Constant Field Values

    - #### CLIENT_ASSERTION

          static final String CLIENT_ASSERTION

      See Also:
        Constant Field Values

    - #### CLIENT_ASSERTION_TYPE_JWT

          static final String CLIENT_ASSERTION_TYPE_JWT

      See Also:
        Constant Field Values

    - #### OFFLINE_ACCESS

          static final String OFFLINE_ACCESS

      See Also:
        Constant Field Values

    - #### SCOPE_OPENID

          static final String SCOPE_OPENID

      See Also:
        Constant Field Values

    - #### SCOPE_PROFILE

          static final String SCOPE_PROFILE

      See Also:
        Constant Field Values

    - #### SCOPE_EMAIL

          static final String SCOPE_EMAIL

      See Also:
        Constant Field Values

    - #### SCOPE_ADDRESS

          static final String SCOPE_ADDRESS

      See Also:
        Constant Field Values

    - #### SCOPE_PHONE

          static final String SCOPE_PHONE

      See Also:
        Constant Field Values

    - #### UI_LOCALES_PARAM

          static final String UI_LOCALES_PARAM

      See Also:
        Constant Field Values

    - #### PROMPT

          static final String PROMPT

      See Also:
        Constant Field Values

    - #### ACR_VALUES

          static final String ACR_VALUES

      See Also:
        Constant Field Values

    - #### MAX_AGE

          static final String MAX_AGE

      See Also:
        Constant Field Values

    - #### SESSION_STATE

          static final String SESSION_STATE

      See Also:
        Constant Field Values

    - #### JWT

          static final String JWT

      See Also:
        Constant Field Values

    - #### CODE_VERIFIER

          static final String CODE_VERIFIER

      See Also:
        Constant Field Values

    - #### CODE_CHALLENGE

          static final String CODE_CHALLENGE

      See Also:
        Constant Field Values

    - #### CODE_CHALLENGE_METHOD

          static final String CODE_CHALLENGE_METHOD

      See Also:
        Constant Field Values

    - #### PKCE_METHOD_PLAIN

          static final String PKCE_METHOD_PLAIN

      See Also:
        Constant Field Values

    - #### PKCE_METHOD_S256

          static final String PKCE_METHOD_S256

      See Also:
        Constant Field Values

    - #### TOKEN_EXCHANGE_GRANT_TYPE

          static final String TOKEN_EXCHANGE_GRANT_TYPE

      See Also:
        Constant Field Values

    - #### AUDIENCE

          static final String AUDIENCE

      See Also:
        Constant Field Values

    - #### REQUESTED_SUBJECT

          static final String REQUESTED_SUBJECT

      See Also:
        Constant Field Values

    - #### SUBJECT_TOKEN

          static final String SUBJECT_TOKEN

      See Also:
        Constant Field Values

    - #### SUBJECT_TOKEN_TYPE

          static final String SUBJECT_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### REQUESTED_TOKEN_TYPE

          static final String REQUESTED_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### ISSUED_TOKEN_TYPE

          static final String ISSUED_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### REQUESTED_ISSUER

          static final String REQUESTED_ISSUER

      See Also:
        Constant Field Values

    - #### SUBJECT_ISSUER

          static final String SUBJECT_ISSUER

      See Also:
        Constant Field Values

    - #### ACCESS_TOKEN_TYPE

          static final String ACCESS_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN_TYPE

          static final String REFRESH_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### JWT_TOKEN_TYPE

          static final String JWT_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### ID_TOKEN_TYPE

          static final String ID_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### SAML2_TOKEN_TYPE

          static final String SAML2_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### UMA_GRANT_TYPE

          static final String UMA_GRANT_TYPE

      See Also:
        Constant Field Values

    - #### DISPLAY_CONSOLE

          static final String DISPLAY_CONSOLE

      See Also:
        Constant Field Values

Copyright © 2021 JBoss by Red Hat. All rights reserved.